# use appimage from https://github.com/sbondCo/Casterr/releases

%define __os_install_post %{nil}

Name:       casterr
Version:	1.4.0
Release:	%mkrel 1
License:	GPLv3
Group:	    Video
Summary:	Easy to user Screen Recorder
Url:		https://github.com/sbondCo/Casterr/releases
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
A easy to user Screen Recorder for Linux.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/sbondCo/Casterr/releases/download/v%{version}/Casterr-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Casterr-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Jun 13 2023 tex - 1.4.0-1pclos2022
- create pkg
